<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Sat Oct 05 11:12:57 CEST 2019 -->
<title>ConfigurableLiblinearTaskArchetypes (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-05">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ConfigurableLiblinearTaskArchetypes (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.modelprocessing</a></div>
<h2 title="Class ConfigurableLiblinearTaskArchetypes" class="title">Class ConfigurableLiblinearTaskArchetypes</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>bous.philipp.dblp.datatools.modelprocessing.ConfigurableLiblinearTaskArchetypes</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">ConfigurableLiblinearTaskArchetypes</span>
extends java.lang.Object</pre>
<div class="block">Provides high level methods to perform tasks using the liblinear-library.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">ConfigurableLiblinearTaskArchetypes</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#testLiblinearModel()">testLiblinearModel</a></span>()</code></th>
<td class="colLast">
<div class="block">Tests a model on labeled data given in a svmlight-file.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#trainLiblinearAndWriteModelFile()">trainLiblinearAndWriteModelFile</a></span>()</code></th>
<td class="colLast">
<div class="block">Trains a model and writes it to a file based on a single set of labeled vectors
 in a single svmlight-file.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#trainLiblinearCrossValidationFromSvmLight()">trainLiblinearCrossValidationFromSvmLight</a></span>()</code></th>
<td class="colLast">
<div class="block">Performs a crossvalidation training using liblinear on vectors in the svmlight-format.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ConfigurableLiblinearTaskArchetypes</h4>
<pre>public&nbsp;ConfigurableLiblinearTaskArchetypes()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="testLiblinearModel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testLiblinearModel</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;testLiblinearModel()</pre>
<div class="block">Tests a model on labeled data given in a svmlight-file.
 Will ask for an appropriate properties-file location on execution; this
 file should contain following properties:
 <ul>
     <li>METHOD_VERSION_ID - id of the method to be called (for security)</li>
     <li>svmLightFilePath - complete path to the datafile</li>
     <li>modelFilePath - complete path to the model-file</li>
     <li>predictionThreshold</li>
     <li>weightingInfos</li>
 </ul></div>
</li>
</ul>
<a id="trainLiblinearAndWriteModelFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>trainLiblinearAndWriteModelFile</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;trainLiblinearAndWriteModelFile()</pre>
<div class="block">Trains a model and writes it to a file based on a single set of labeled vectors
 in a single svmlight-file.
 Will ask for an appropriate properties-file location on execution; this
 file should contain following properties:
 <ul>
     <li>METHOD_VERSION_ID - id of the method to be called (for security)</li>
     <li>svmLightFilePath - complete path to the datafile</li>
     <li>modelOutputPath - complete path of the model output-file</li>
     <li>solverType - see the respectiv enum class in the liblinear library for allowed values</li>
     <li>constraintViolationCost</li>
     <li>stoppingEpsilon</li>
     <li>bias</li>
 </ul></div>
</li>
</ul>
<a id="trainLiblinearCrossValidationFromSvmLight()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>trainLiblinearCrossValidationFromSvmLight</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;trainLiblinearCrossValidationFromSvmLight()</pre>
<div class="block">Performs a crossvalidation training using liblinear on vectors in the svmlight-format.
 Asks for a location of a configuration file that contains the necessary information to
 configure the details for the run. This approach is taken to reduce input time for subsequent runs
 as well as having the config-files as documentation of the exact parameters of the run.

 A configuration-properties-file can contain following values:
 <ul>
  <li>svmLightFilePath : path to the folder containing a set of svmlight-files (as created by <a href="../featureconstruction/vectorization/BagOfWordsVectorizationArchetypes.html#convertSingleFeatureToSVMLightCrossValidationSetsBalanced(bous.philipp.dblp.datatools.featureconstruction.vectorization.SingleColumnCVSetProperties,java.lang.String,bous.philipp.dblp.datatools.featureconstruction.vectorization.BalancedVectorizationFoldPostHook)"><code>BagOfWordsVectorizationArchetypes.convertSingleFeatureToSVMLightCrossValidationSetsBalanced(bous.philipp.dblp.datatools.featureconstruction.vectorization.SingleColumnCVSetProperties, java.lang.String, bous.philipp.dblp.datatools.featureconstruction.vectorization.BalancedVectorizationFoldPostHook)</code></a> or similar methods)</li>
  <li>datasetPrefix : conversion methods in <a href="../featureconstruction/vectorization/BagOfWordsVectorizer.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization"><code>BagOfWordsVectorizer</code></a> will add "(NUMBER).svmlight" as a suffix to the individual created vector-sets. The prefix of the dataset in question has to be specified here.</li>
  <li>solverType : a string-representation of one of the solverTypes allowed in liblinear as defined by the respective Enumeration-Class. Please refer to Liblinear to see possible values.</li>
  <li>predictionThreshold : the scores calculated during validation will be tested against a threshold to decide which class will be assigned to a validation example. Equal or greater than threshold evaluates to 1; smaller than threshold evaluates to 0</li>
  <li>averagedReportForAdditionalThresholds : comma separated list of additional thresholds for which an averaged performance report will be calculated</li>
  <li>constraintViolationCost : C in https://www.csie.ntu.edu.tw/~cjlin/papers/liblinear.pdf ; please refer to this paper to see how and for which solvers it is relevant</li>
  <li>stoppingEpsilon : Epsilon in https://www.csie.ntu.edu.tw/~cjlin/papers/liblinear.pdf ; please refer to this paper to see how and for which solvers it is relevant</li>
  <li>bias : b in https://www.csie.ntu.edu.tw/~cjlin/papers/liblinear.pdf ; please refer to this paper to see how and for which solvers it is relevant</li>
  <li>writeModel : if "true" model files for the models resulting from the individual CV-folds will be written to the directory where the configuration file resides</li>
  <li>printAllReports : if "true" will print evaluation reports for every single fold; otherwise will only print an averaged evaluation-report in the end</li>
  <li>numberOfExportedErrors : if this is specified with a value bigger than 0, the method will attempt to export this number of wrongly classified records (the respective feature) into a separate file; the errors will be chosen randomly from all
         existing ones; it is possible to export all errors by using -1 as a value; REMARK it is necessary to have a valid DB online so the algorithm can extract the relevant records and features from
         the db, using the mapping that was generated for the vectors by one of the methods in <a href="../featureconstruction/vectorization/BagOfWordsVectorizer.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization"><code>BagOfWordsVectorizer</code></a>; if any part of this setup is corrupted, this method will fail to write an
         error export</li>
  <li>gainWeightings : specification of one or more semicolon-seperated configs allows calculation of weighted gain as evaluation metric; values inside a single config should be separated by commas
         expected format: TPR_WEIGHT,TNR_WEIGHT,POSITIVE_CLASS_PROBABILITY_ESTIMATION,NEGATIVE_CLASS_PROBABILITY_ESTIMATION;
         example: gainWeightings=1.0,0.8,0.5,0.5;1.0,0.8,0.08,0.92
         (please refer to the evaluation-section of the thesis for more conceptual information)</li>
 </ul></div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
